package com.alibaba.druid.sql.dialect.mariadb.ast;

public interface MariadbIndexHint extends MariadbHint {
   public static enum Option {
      JOIN("JOIN"),
      ORDER_BY("ORDER BY"),
      GROUP_BY("GROUP BY");

      public final String name;
      public final String name_lcase;

      private Option(String name) {
         this.name = name;
         this.name_lcase = name.toLowerCase();
      }
   }
}
